TEMPLATE = app

SOURCES += \
    locationedit.cpp \
    launcherwindow.cpp \
    main.cpp \
    mainwindow.cpp \
    urlloader.cpp \
    utils.cpp \
    webpage.cpp \
    webview.cpp \
    fpstimer.cpp \
    cookiejar.cpp

HEADERS += \
    locationedit.h \
    launcherwindow.h \
    mainwindow.h \
    urlloader.h \
    utils.h \
    webinspector.h \
    webpage.h \
    webview.h \
    fpstimer.h \
    cookiejar.h

!isEqual(QT_ARCH,sh4) {
    greaterThan(QT_MAJOR_VERSION, 4):isEmpty(QT.uitools.name) {
        message("QtUiTools library not found. QWidget plugin loading will be disabled")
        DEFINES += QT_NO_UITOOLS
    } else {
        CONFIG += uitools
    }
}

isEmpty(OUTPUT_DIR): OUTPUT_DIR = ../..
include(../../Source/WebKit.pri)
INCLUDEPATH += ../../Source/WebKit/qt/WebCoreSupport

DESTDIR = $$OUTPUT_DIR/bin
CONFIG -= app_bundle

QT += network
macx:QT+=xml
greaterThan(QT_MAJOR_VERSION, 4): QT += printsupport

unix:!mac:!embedded {
    CONFIG += link_pkgconfig
    PKGCONFIG += fontconfig
}

linux-* {
    # From Creator's src/rpath.pri:
    # Do the rpath by hand since it's not possible to use ORIGIN in QMAKE_RPATHDIR
    # this expands to $ORIGIN (after qmake and make), it does NOT read a qmake var.
    QMAKE_RPATHDIR = \$\$ORIGIN/../lib $$QMAKE_RPATHDIR
    MY_RPATH = $$join(QMAKE_RPATHDIR, ":")

    QMAKE_LFLAGS += -Wl,-z,origin \'-Wl,-rpath,$${MY_RPATH}\'
    QMAKE_RPATHDIR =
} else {
    QMAKE_RPATHDIR = $$OUTPUT_DIR/lib $$QMAKE_RPATHDIR
}

contains(QT_CONFIG, opengl) {
    QT += opengl
    DEFINES += QT_CONFIGURED_WITH_OPENGL
}

DEFINES -= QT_ASCII_CAST_WARNINGS

RESOURCES += \
    QtTestBrowser.qrc
